unit MainTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  NCHSGraph, StdCtrls, ExtCtrls, Buttons;


type
  TForm1 = class(TForm)
    Button1: TButton;
    NCHSGraph1: TNCHSGraph;
    ComboBox1: TComboBox;
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    Edit1: TEdit;
    Edit2: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
with nchsgraph1 do begin
     combobox1.itemindex:=2;
     radiogroup1.itemindex:=1;
     EvaluationType:=WeightforAge;
     sex:=Girl;
     values.clear;
     values.add('3'+#9+'8');
     values.add('5'+#9+'10');
     values.add('7'+#9+'12');
     values.add('17'+#9+'13');
     drawline;
     end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
combobox1.itemindex:=2;
radiogroup1.itemindex:=0;
label2.caption:='Age (months):';
label3.caption:='Weight (kg):';
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
case combobox1.itemindex of
     0:Begin
       nchsgraph1.EvaluationType:=LengthforAge;
       label2.caption:='Age (months):';
       label3.caption:='Length (cm):';
       end;
     1:Begin
       nchsgraph1.EvaluationType:=StatureforAge;
       label2.caption:='Age (months):';
       label3.caption:='Stature (cm):';
       end;
     2:Begin
       nchsgraph1.EvaluationType:=WeightforAge;
       label2.caption:='Age (months):';
       label3.caption:='Weight (kg):';
       end;
     3:Begin
       nchsgraph1.EvaluationType:=WeightforLength;
       label2.caption:='Length (cm):';
       label3.caption:='Weight (kg):';
       end;
     4:Begin
       nchsgraph1.EvaluationType:=WeightforStature;
       label2.caption:='Stature (cm):';
       label3.caption:='Weight (kg):';
       end;
     end;{case}
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
if radiogroup1.itemindex=0 then nchsgraph1.sex:=Boy
                           else nchsgraph1.sex:=Girl;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
nchsgraph1.values.add(edit1.text+#9+edit2.text);
nchsgraph1.drawline;
end;

end.
